ホーム > フォーラム > 質問箱 > d3downloadsのインストールに失敗したのですが

d3downloadsのインストールに失敗したのですが
投稿者: 2ndimpact | 投稿日時: 2013/6/4 0:12 | 閲覧: 8146回
2ndimpact

最近、XOOPS X (ten) Distribution Pack - on XOOPS Cube Legacy 2.2.1を
インストールした者です。
初心者なものですので、初歩的な質問ですが、宜しくお願いします。
サーバは、さくらインターネットのレンタルサーバ スタンダードです。
PHPは標準のPHP5.2.17に設定しています。

パッケージそのものはインストールを完了して、動作しています。
そこに、モジュールのd3downloadsをインストールしようと思い、FTPでファイル配置を
して「モジュールのインストール」を行ったのですが、最後の方で以下のメッセージが出て
インストールできませんでした。

■コールバック 'xoops_module_install_d3downloads' を実行することができませんでした
■d3downloads モジュールのインストールに失敗しました

これはd3downloadsの必須PHPバージョンが4.3.xであるためでしょうか。

だとすると、d3downloadsは今の環境では利用出来ない事になります。
(サーバのPHPバージョンはPHP4.4.9までしか下げられないので)

他に使えるファイルアップロード/ダウンロードのモジュールは無いでしょうか。

以上、宜しくお願いします。

コメント(2)

Re: d3downloadsのインストールに失敗したのですが 
投稿者: nao-pon | 投稿日時: 2013/6/4 8:24
nao-pon

2ndimpact さん、こんにちは。

MySQL のバージョンが 5.5以上なら trust/modules/d3downloads/sql/mysql.sql の "TYPE=MyISAM" をすべて "ENGINE=MyISAM" に書き換えてお試し下さい。
#21301 | | 返信する |
Re: d3downloadsのインストールに失敗したのですが 
投稿者: 2ndimpact | 投稿日時: 2013/6/4 23:24 | 親コメント: #21301
2ndimpact

nao-ponさん、ご回答ありがとうございます。

引用:
MySQL のバージョンが 5.5以上なら trust/modules/d3downloads/sql/mysql.sql の "TYPE=MyISAM" をすべて "ENGINE=MyISAM" に書き換えてお試し下さい。


おっしゃる通りにmysql.sqlを書き換えてましたら、無事インストールできました。
ありがとうございました。
(MySQLのバージョンは5.6でした)

    投票(0)

    新しいものから | 古いものから | RSS feed
     
    To Top